package com.gh.gamecenter.core.provider

import android.app.Activity
import android.app.Application

interface IFlavorProvider {

    fun getChannelStr(application: Application): String

    /**
     * 初始化对应 SDK
     *
     * @param activateRatio 调用初始化的概率，取值为 0 ~ 100，如传入 60 时，代表有 60% 的概率进行 SDK 初始化
     */
    fun init(application: Application, activity: Activity, activateRatio: Int)

    fun logEvent(content: String)

}